﻿.e-grid td.e-active {
    font-weight: inherit !important;
}

/*This isn't doing what I want it to yet. This should be disabling touch controls on the edit modal for gantt chart.*/
.e-tab .e-content .e-item .e-header {
    touch-action: none !important;
}


.e-treecolumn-container .e-icons:nth-of-type(n+3) {
    width: 20px !important; /*overrideing inline that blazorise generates*/
}

.e-treecolumn-container .e-treegridexpand:not(:first-child),
.e-treecolumn-container .e-treegridcollapse:not(:first-child) {
    margin-left: 20px;
    margin-right: -20px;
}

.buttons {
    display: flex;
    column-gap: 1em;
}

    .buttons > div {
        margin-left: auto;
        text-align: right;
    }

        .buttons > div label {
            margin-bottom: 0;
            font-weight: bold;
        }

        .buttons > div > span {
            font-size: 0.8em;
        }



#Published {
    pointer-events: none;
}

    #Published button {
        pointer-events: none;
        font-weight: bold;
        font-size: 1.2em;
    }

        #Published button span {
            pointer-events: none;
            font-weight: bold;
            font-size: 1.2em;
        }

div.e-gantt-parent-taskbar-inner-div {
    border-radius: 3px !important;
    border: none !important;
    outline: none !important
}

    div.e-gantt-parent-taskbar-inner-div::before {
        color: white;
        content: '';
        font-size: 10px;
        display: inline-block;
        width: 9px;
        height: 100%;
        background-color: black;
        position: absolute;
        left: -4px;
        top: 0;
        clip-path: polygon(50% 100%,0 50%, 0 0,100% 0,100% 50%, 50% 100%);
        z-index: 0;
    }

    div.e-gantt-parent-taskbar-inner-div::after {
        color: white;
        content: '';
        font-size: 10px;
        display: inline-block;
        width: 9px;
        height: 100%;
        background-color: black;
        position: absolute;
        right: -4px;
        top: 0;
        clip-path: polygon(50% 100%,0 50%, 0 0,100% 0,100% 50%, 50% 100%);
        z-index: 0;
    }

div.e-left-connectorpoint-outer-div {
    z-index: 1;
}

div.e-right-connectorpoint-outer-div {
    z-index: 1;
}


.e-editedbatchcell {
    padding: 0px !important;
}

.e-datepicker {
    font-size: 15px; /* or any size you prefer */
}


/* Apply bold font-weight to the 3rd parent if it contains the specified span */
tr:has(.e-treegridcollapse),
tr:has(.e-treegridexpand) {
    font-weight: bold !important;
}

.red-background {
    background-color: red;
}

.gantt {
    flex: 1;
}

.card-body {
    height: calc(100% - 50px);
}

.e-gantt .e-gantt-chart .e-gantt-parent-taskbar-inner-div {
    background-color: blue;
}

.e-gantt .e-gantt-chart .e-gantt-parent-progressbar-inner-div {
    background-color: darkblue;
}

.draggable {
    -webkit-user-drag: none; /* Enables dragging */
}
